package com.chinapnr.pos.pay.demo;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import androidx.appcompat.app.AppCompatActivity;

import com.chinapnr.pos.pay.demo.hw.PrintActivity;
import com.chinapnr.pos.pay.demo.hw.ScanActivity;

public class HwActivity extends AppCompatActivity implements View.OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_hw);
        findViewById(R.id.btn_hw_scan).setOnClickListener(this);
        findViewById(R.id.btn_hw_print).setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()){
            case R.id.btn_hw_scan:
                startActivity(new Intent(HwActivity.this, ScanActivity.class));
                break;
            case R.id.btn_hw_print:
                startActivity(new Intent(HwActivity.this, PrintActivity.class));
                break;
        }
    }
}